:root{
    --inter-font: "Inter", "sans-serif";
    --body-color: #b09157;
    --black: #000000;
    --white: #FFFFFF;
    --bullet-normal: #DAD8D8;
    --bullet-selected: #F5AF18;
    --black-low: rgba(255, 255, 255, 0.150);
    --power-color: #FFC72C;
}

body{
    margin: 0;
    padding: 0;
    height: 844px;
    background-color: var(--body-color);
}

.x-button{
    margin-left: 1em;
    margin-top: 1em;
    width: 30px;
    height: 30px;
    position: absolute;
    z-index: 1;
}

.diagn-line{
    position: absolute;
    width: 100%;
    height: 4px;
    background-color: var(--black);
    border-radius: 20px;
    transform-origin: center;
}

.diagn-line:first-child{
    top: calc(50% - 1px);
    transform: rotate(45deg);
}

.diagn-line:last-child{
    top: calc(50% - 1px);
    transform: rotate(-45deg);
} 

.slide {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 50px;
    height: 40vh;
    font-size: 50px;
    background: var(--white);
}

.beach-background{
    width: 100%;
    height: 100%;
}

.tutorial-explain{
    z-index: 1;
    position: absolute;
    top: 40px;
    margin-left: 0.5em;
    margin-right: 0.5em;
    font-weight: normal;
    font-family: var(--inter-font);
    font-size: 36px;
    text-align: center;
}

.glide__controls{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-between;
}
  
.glide__arrow {
    z-index: 1;
    margin: 0.5em;
    position: absolute;
    top: 30em;
    background: none;
    border: none;
}

.fa-circle-left, .fa-circle-right {
    font-size: 40px;
}

.glide__arrow--left{
    left: 1.5rem;
}

.glide__arrow--right{
    right: 1.5rem;
}

.glide__bullets{
    z-index: 1;
    margin-top: -40px;
    display: flex;
    justify-content: center;
    gap: 0.5em;
}

.glide__bullet{
    z-index: 1;
    background-color: var(--bullet-normal);
    border-color: var(--bullet-normal);
    border-radius: 50%;
    height: 2em;
    width: 2em;
}

.glide__bullet:focus,
.glide__bullet--active {
    background: var(--bullet-selected);
    border-color: var(--bullet-selected);
}

.obstacle{
    z-index: 1;
    position: absolute;
    height: 100px;
    width: 100px;
}

.arrow-container{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: absolute;
    width: 80%;
    bottom: 128px;
}

.arrowleft, .arrowright{
    z-index: 0;
    height: 50px;
    width: 100px;
}

.sjaak{
    z-index: 1;
    position: absolute;
    bottom: 97px;
    height: 100px;
    width: 75px;
}

#sjaak{
    margin-bottom: 0px;
    bottom: -170px;
}
 
.tutorial-section{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
}

.image-text-container{
    z-index: 1;
    position: absolute;
    top: 240px;
    background-color: var(--black-low);
    width: 100%;
    height: 150px;
}

.booster-text{
    z-index: 2;
    text-align: center;
    font-size: 30px;
    font-weight: bolder;
    font-family: var(--inter-font);
}

.image-container{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
    z-index: 1;
    height: 35px;
    width: 100%;
}

.image-small{
    z-index: 1;
    height: 60px;
    width: 55px;
    margin-top: -0.5em;
}

.image-small img{
    z-index: 1;
    height: auto;
    width: auto;
}

.circle-power{
    background-color: var(--black-low);
    position: absolute;
    display: flex;
    justify-content: center;
    margin-bottom: -320px;
    z-index: 2;
    border-radius: 50%;
    height: 100px;
    aspect-ratio: 1/1;
}

.powerup-flipflop{
    z-index: 2;
    margin-bottom: 100px;
    position: absolute;
    height: 90px;
    width: 90px;
}
 
/*Tutotial-before page*/

.start-button{
    z-index: 2;
    position: absolute;
    top: 420px;
    background-color: var(--bullet-selected);
    color: var(--white);
    text-decoration: none;
    border: 3px solid var(--white);
    padding-top: 20px;
    padding-bottom: 25px;
    padding-left: 30px;
    padding-right: 30px;
    font-family: var(--inter-font);
    font-size: 30px;
}

.fa-circle-play{
    font-size: 40px;
    color: var(--white);
    padding-left: 20px;
    z-index: 1;
}

.end-button{
    position: absolute;
    top: 390px;
    right: 20px;
    height: 80px;
    width: 80px;
    z-index: 1;
}


/* media query tablet  */
@media only screen and (max-device-width: 1024px) {
    body{
        height: 844px;
    }

    .fa-circle-left, .fa-circle-right {
        font-size: 60px;
        margin-top: 100px;
    }

    .glide__bullets{
        margin-top: -70px;
    }
    
    .glide__bullet{
        height: 3em;
        width: 3em;
    }

    .beach-background{
        width: 100%;
        height: 1050px;
    }

    .powerup-level{
        margin-right: -500px;
        height: 300px;
        width: 70px;
    }

    .countdown{
        font-size: 40px;
        margin-top: 120px;
        margin-bottom: 120px;
    }

    .image-text-container{
        top: 240px;
        width: 100%;
        height: 150px;
    }

    .sjaak{
        height: 150px;
        width: 100px;
    }

    .powerup-flipflop{
        height: 120px;
        width: 120px;
    }

    .circle-power{
        height: 130px;
    }

    .image-small{
        height: 75px;
        width: 70px;
    }

    .tutorial-explain{
        top: 60px;
    }

    .start-button{
        font-size: 60px;
    }

    .fa-circle-play{
        font-size: 60px;
    }

    .obstacle{
        height: 120px;
        width: 120px;
    }

    .arrow-container{
        width: 50%;
        bottom: 160px;
    }

    .arrowleft, .arrowright{
        z-index: 0;
        height: 65px;
        width: 110px;
    }
}

/* media query normal phone  */
@media only screen and (max-device-width: 767px) {
    body{
        height: 844px;
    }

    .fa-circle-left, .fa-circle-right {
        font-size: 40px;
        margin-top: 0px;
    }

    .glide__bullets{
        margin-top: -40px;
    }
    
    .glide__bullet{
        height: 2em;
        width: 2em;
    }

    .beach-background{
        width: 100%;
        height: 100%;
    }

    .powerup-level{
        margin-bottom: -450px;
        margin-right: -260px;
        height: 210px;
        width: 35px;
    }
    
    .countdown{
        font-size: 30px;
        margin-top: 80px;
        margin-bottom: 80px;
    }

    .image-text-container{
        top: 240px;
        width: 100%;
        height: 150px;
    }

    .sjaak{
        height: 100px;
        width: 75px;
    }

    .powerup-flipflop{
        height: 90px;
        width: 90px;
    }

    .circle-power{
        height: 100px;
    }

    .image-small{
        height: 60px;
        width: 55px;
    }

    .tutorial-explain{
        top: 40px;
        font-size: 36px;
    }

    .start-button{
        top: 420px;
        font-size: 30px;
    }

    .fa-circle-play{
        font-size: 40px;
    }

    .obstacle{
        height: 100px;
        width: 100px;
    }

    .arrow-container{
        width: 80%;
        bottom: 128px;
    }

    .arrowleft, .arrowright{
        z-index: 0;
        height: 50px;
        width: 100px;
    }
}

/* media query small phone  */
@media only screen and (max-device-width: 376px) {
    body{
        height: 100%;
    }

    .fa-circle-left, .fa-circle-right {
        font-size: 40px;
        margin-top: 0px;
    }

    .glide__bullets{
        margin-top: -172px;
    }
    
    .glide__bullet{
        height: 2em;
        width: 2em;
    }

    .beach-background{
        width: 100%;
        height: 100%;
    }

    .powerup-level{
        margin-bottom: -300px;
        margin-right: -250px;
        height: 190px;
        width: 35px;
    }
    
    .countdown{
        font-size: 30px;
        margin-top: 60px;
        margin-bottom: 60px;
    }

    .image-text-container{
        top: 240px;
        width: 100%;
        height: 150px;
    }

    .sjaak{
        height: 100px;
        position: absolute;
        width: 75px;
        top: 530px;
    }

    .powerup-flipflop{
        height: 90px;
        width: 90px;
    }

    .circle-power{
        height: 100px;
        margin-bottom: -120px;
    }

    .image-small{
        height: 60px;
        width: 55px;
    }

    .tutorial-explain{
        top: 40px;
        font-size: 36px;
    }

    .start-button{
        top: 420px;
        font-size: 30px;
    }

    .fa-circle-play{
        font-size: 40px;
    }

    .obstacle{
        height: 100px;
        width: 100px;
    }

    .arrow-container{
        width: 80%;
        bottom: 128px;
        margin-bottom: 85px;
    }

    .arrowleft, .arrowright{
        z-index: 0;
        height: 50px;
        width: 100px;
    }
}
